## ros-indigo-summit-x-description 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(summit_x_description)

find_package(catkin REQUIRED robot_state_publisher urdf xacro robotnik_sensors)

catkin_package(
  CATKIN_DEPENDS urdf xacro
)

install(
  DIRECTORY launch meshes urdf robots config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-summit-x-description (0.0.4-0trusty) trusty; urgency=high

  * Fixed hardware interface
  * Contributors: Jorge Arino

 -- Román Navarro <rnavarro@robotnik.es>  Tue, 23 Aug 2016 22:00:00 -0000

ros-indigo-summit-x-description (0.0.3-0trusty) trusty; urgency=high

  * Minor change
  * Added installation lines to CMakeLists.txt in summit_x_description
  * Contributors: Jose Rapado

 -- Román Navarro <rnavarro@robotnik.es>  Thu, 18 Aug 2016 22:00:00 -0000

ros-indigo-summit-x-description (0.0.2-0trusty) trusty; urgency=high



 -- Román Navarro <rnavarro@robotnik.es>  Sun, 17 Jul 2016 22:00:00 -0000

ros-indigo-summit-x-description (0.0.1-0trusty) trusty; urgency=high

  * Changed package.xml files
  * summit_x_description: added correct position for the asus xtion camera
  * summit_x_common: fixed link to robotnik_sensors
  * summit_x_description: creating package. Migrating urdf descriptions to indigo
  * Contributors: Jorge Arino, carlos3dx

 -- Román Navarro <rnavarro@robotnik.es>  Thu, 07 Jul 2016 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-summit-x-description
Section: misc
Priority: extra
Maintainer: Román Navarro <rnavarro@robotnik.es>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-robot-state-publisher, ros-indigo-robotnik-sensors, ros-indigo-urdf, ros-indigo-xacro
Homepage: https://github.com/RobotnikAutomation/summit_x_description
Standards-Version: 3.9.2

Package: ros-indigo-summit-x-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-robot-state-publisher, ros-indigo-robotnik-sensors, ros-indigo-urdf, ros-indigo-xacro
Description: The summit_x_description package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-summit-x-description//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
